commit: 2e31349875cf482caed99eb068c7076cb77264cc
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 5 04:04:01 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep 5 04:10:14 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e313498
dev-python/twine: Bump to 6.2.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/twine/Manifest | 1 +
dev-python/twine/twine-6.2.0.ebuild | 76 +++++++++++++++++++++++++++++++++++++
2 files changed, 77 insertions(+)
diff --git a/dev-python/twine/Manifest b/dev-python/twine/Manifest
index dfb924bb4b5a..a1a2fda1dc87 100644
--- a/dev-python/twine/Manifest
+++ b/dev-python/twine/Manifest
@@ -1,2 +1,3 @@
DIST twine-6.0.1.gh.tar.gz 223827 BLAKE2B
ab88eb21908954ee7c32744ae9f7ccd7d50cb2b5207917144ef559e142837c89625596dea2c1bb0be21858bb0967690df999bb8a123e01beb5637a025dc490f9
SHA512
4fa7727d0728da3e05eaca068bf1dd85656225dd61958666ec0747359ee6bd88b25fd443d6c77bd8db245e71418cf8e5b594a6559ac1ecaafe3c079ecaefadba
DIST twine-6.1.0.gh.tar.gz 163562 BLAKE2B
c1fa279f62c5c6c5dfdc59120a9d80776d69527fec69356358963956ce7e1f76f05b432eaef3586c52a4150ce2893975cff252361740a7ce24b2917379c212f8
SHA512
d8235561f13eaaee7607b4b50dd70fdb67b9a9863a7d69fa2d173d8625cb3c44c8adccb27c5fe2203b3c1db7f36a685cc9da7f847aac3d5a3622b8e7125dd2b8
+DIST twine-6.2.0.gh.tar.gz 167087 BLAKE2B
51c95da17fee1336bc94b0847035c0a6e115915696b8a127fb21f8e75c4a8090af221cacd6196279a9352c607a8b643500a6260963f2bc9e6f570b318626d4f6
SHA512
3637b9b6644678a9573ba93d5f2b90b5660f8df126f7a6fde1519fc45f93f1fa0646b16b35087c4b1187b2be1845ce2c3c6f40f96716e2c44d1a6cd471e3b64b
diff --git a/dev-python/twine/twine-6.2.0.ebuild
b/dev-python/twine/twine-6.2.0.ebuild
new file mode 100644
index 000000000000..f8b29eda5990
--- /dev/null
+++ b/dev-python/twine/twine-6.2.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} pypy3_11 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of utilities for publishing packages on PyPI"
+HOMEPAGE="
+ https://twine.readthedocs.io/
+ https://github.com/pypa/twine/
+ https://pypi.org/project/twine/
+"
+SRC_URI="
+ https://github.com/pypa/twine/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/colorama-0.4.3[${PYTHON_USEDEP}]
+ dev-python/id[${PYTHON_USEDEP}]
+ >=dev-python/keyring-21.2.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-24.0[${PYTHON_USEDEP}]
+ >=dev-python/readme-renderer-35.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-toolbelt-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/rfc3986-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/rich-12.0.0[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/build[${PYTHON_USEDEP}]
+ dev-python/jaraco-envs[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ dev-python/munch[${PYTHON_USEDEP}]
+ dev-python/portend[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pypiserver[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # pytest-socket dep relevant only to test_integration, and upstream
+ # disables it anyway
+ sed -i -e '/--disable-socket/d' pytest.ini || die
+
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Internet
+ tests/test_integration.py
+ )
+ local EPYTEST_DESELECT=(
+ # Avoid needing heavy virtualx
+ tests/test_auth.py::test_warns_for_empty_password
+ )
+
+ local -x COLUMNS=80
+ epytest
+}